"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const common_vendor = require("./common/vendor.js");
const sheep_index = require("./sheep/index.js");
const sheep_hooks_useModal = require("./sheep/hooks/useModal.js");
const sheep_store_index = require("./sheep/store/index.js");
require("./sheep/api/index.js");
require("./sheep/api/distri/score.js");
require("./sheep/request/index.js");
require("./sheep/config/index.js");
require("./sheep/platform/index.js");
require("./sheep/platform/provider/wechat/index.js");
require("./sheep/platform/provider/wechat/miniProgram.js");
require("./sheep/api/member/auth.js");
require("./sheep/api/member/social.js");
require("./sheep/api/member/user.js");
require("./sheep/platform/provider/apple/index.js");
require("./sheep/platform/share.js");
require("./sheep/router/index.js");
require("./sheep/helper/throttle.js");
require("./sheep/url/index.js");
require("./sheep/platform/pay.js");
require("./sheep/helper/index.js");
require("./sheep/helper/test.js");
require("./sheep/helper/digit.js");
require("./sheep/api/pay/order.js");
require("./sheep/api/distri/share.js");
require("./sheep/api/distri/team.js");
require("./sheep/api/infra/file.js");
require("./sheep/api/member/address.js");
require("./sheep/api/member/point.js");
require("./sheep/api/member/signin.js");
require("./sheep/api/migration/app.js");
require("./sheep/api/migration/chat.js");
require("./sheep/api/migration/index.js");
require("./sheep/api/migration/third.js");
require("./sheep/api/pay/channel.js");
require("./sheep/api/pay/wallet.js");
require("./sheep/api/product/category.js");
require("./sheep/api/product/comment.js");
require("./sheep/api/product/favorite.js");
require("./sheep/api/product/history.js");
require("./sheep/api/product/spu.js");
require("./sheep/api/promotion/activity.js");
require("./sheep/api/promotion/article.js");
require("./sheep/api/promotion/bargain.js");
require("./sheep/api/promotion/combination.js");
require("./sheep/api/promotion/coupon.js");
require("./sheep/api/promotion/diy.js");
require("./sheep/api/promotion/rewardActivity.js");
require("./sheep/api/promotion/seckill.js");
require("./sheep/api/system/area.js");
require("./sheep/api/system/voice.js");
require("./sheep/api/trade/afterSale.js");
require("./sheep/api/trade/brokerage.js");
require("./sheep/api/trade/cart.js");
require("./sheep/api/trade/config.js");
require("./sheep/api/trade/delivery.js");
require("./sheep/api/trade/order.js");
require("./sheep/config/zIndex.js");
require("./sheep/store/app.js");
require("./sheep/store/user.js");
require("./sheep/store/cart.js");
require("./sheep/store/sys.js");
require("./sheep/store/modal.js");
if (!Math) {
  "./pages/index/index.js";
  "./pages/index/user.js";
  "./pages/index/category.js";
  "./pages/index/cart.js";
  "./pages/index/login.js";
  "./pages/index/search.js";
  "./pages/index/page.js";
  "./pages/goods/index.js";
  "./pages/goods/groupon.js";
  "./pages/goods/seckill.js";
  "./pages/goods/list.js";
  "./pages/goods/comment/add.js";
  "./pages/goods/comment/list.js";
  "./pages/order/detail.js";
  "./pages/order/confirm.js";
  "./pages/order/list.js";
  "./pages/order/aftersale/apply.js";
  "./pages/order/aftersale/return-delivery.js";
  "./pages/order/aftersale/list.js";
  "./pages/order/aftersale/detail.js";
  "./pages/order/aftersale/log.js";
  "./pages/order/express/log.js";
  "./pages/order/otherlist.js";
  "./pages/user/info.js";
  "./pages/user/setting.js";
  "./pages/user/qrcode-share.js";
  "./pages/user/goods-collect.js";
  "./pages/user/goods-log.js";
  "./pages/user/address/list.js";
  "./pages/user/dummyAddress/list.js";
  "./pages/user/invoice/edit.js";
  "./pages/user/invoice/list.js";
  "./pages/user/address/edit.js";
  "./pages/user/dummyAddress/edit.js";
  "./pages/user/wallet/money.js";
  "./pages/user/wallet/score.js";
  "./pages/user/wallet/scoreToMoney.js";
  "./pages/user/wallet/ScoreLog.js";
  "./pages/user/wallet/maxScoreLog.js";
  "./pages/user/wallet/team.js";
  "./pages/commission/index.js";
  "./pages/commission/wallet.js";
  "./pages/commission/goods.js";
  "./pages/commission/order.js";
  "./pages/commission/team.js";
  "./pages/commission/promoter.js";
  "./pages/commission/commission-ranking.js";
  "./pages/commission/withdraw.js";
  "./pages/app/sign.js";
  "./pages/shop/index.js";
  "./pages/public/setting.js";
  "./pages/public/richtext.js";
  "./pages/public/faq.js";
  "./pages/public/error.js";
  "./pages/public/webview.js";
  "./pages/coupon/list.js";
  "./pages/coupon/detail.js";
  "./pages/chat/index.js";
  "./pages/chat/speechtotext.js";
  "./pages/pay/index.js";
  "./pages/pay/result.js";
  "./pages/pay/recharge.js";
  "./pages/pay/recharge-log.js";
  "./pages/activity/groupon/detail.js";
  "./pages/activity/groupon/order.js";
  "./pages/activity/index.js";
  "./pages/activity/groupon/list.js";
  "./pages/activity/seckill/list.js";
  "./pages/activity/bargain/list.js";
  "./pages/activity/bargain/detail.js";
}
const _sfc_main = {
  __name: "App",
  setup(__props) {
    common_vendor.onShow((options) => {
      sheep_hooks_useModal.autoSign();
    });
    common_vendor.onHide(() => {
      sheep_hooks_useModal.cancelAutoSign();
    });
    common_vendor.onLaunch(() => {
      common_vendor.index.hideTabBar();
      sheep_index.ShoproInit();
      sheep_hooks_useModal.resetSignStatusIfNeeded();
    });
    common_vendor.onError((err) => {
      console.log("AppOnError:", err);
    });
    return () => {
    };
  }
};
const App = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/zx/mall-front-app/App.vue"]]);
function clearLinkId() {
  common_vendor.index.removeStorageSync("linkId");
  console.log("五分钟，清了linkId");
}
setInterval(clearLinkId, 3e5);
function createApp() {
  const app = common_vendor.createSSRApp(App);
  sheep_store_index.setupPinia(app);
  return {
    app
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
